function [sigma_tot, sigma] = crosssect(t, k, shifts)
%CROSSSECT Calcola la sezione d'urto totale e differenziale con il metodo 
% dei phase shifts.
%  [sigma_tot, sigma] = CROSSSECT(t, k, shifts)
%       
    f = zeros(size(t));
    sigma_tot = 0;
    if nargout > 1
        for l = 0: length(shifts) - 1
            %Polinomi di Legendre di cos(t), m = 0
            P = legendre(l,cos(t));
            P = P(1,:); % La prima riga  per m = 0

            %Somma cumulativa
            f = f + (2*l+1)*exp(1i*shifts(l+1))*sin(shifts(l+1))*P./k;
            sigma_tot = sigma_tot + (2*l+1)*(sin(shifts(l+1))).^2;
        end

        sigma = 4*pi*abs(f).^2;
        sigma_tot = 4*pi / k^2 * sigma_tot; 

    else
        for l = 0: length(shifts) - 1
            sigma_tot = sigma_tot + (2*l+1)*(sin(shifts(l+1))).^2;
        end

        sigma_tot = 4*pi / k^2 * sigma_tot;     
    end
end