%  Bessel By Recurrence relations
%  Works well for low values of ell
%  recurrence slows down the calculation for higher ell's

function [J,Y] = mybessel(ell,x)

   switch ell
     case 0
       J=sin(x);
       Y=-cos(x);
     case 1
       J=sin(x)./x-cos(x);
       Y=-cos(x)./x-sin(x);
     otherwise
       [Jm1,Ym1]= mybessel(ell-1,x);
       [Jm2,Ym2]= mybessel(ell-2,x);
       J = -Jm2 + (2*ell-1).*Jm1./x;
       Y = -Ym2 + (2*ell-1).*Ym1./x;
   end
end
